* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body {
    height: 100vh;
    width: 100vw;
    background-color: blueviolet;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    background: url('image/kbclogo.png') center center/cover;
    background-repeat: no-repeat;
    opacity: 0.9;
}

.side-menu {
    height: 100%;
    width: 250px;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background-color: #0c0c0c;
    padding-top: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    opacity: 70%;
}

.menu-list {
    list-style-type: none;
    padding: 0;
}

.menu-list li {
    padding: 10px;
    text-align: right;
}

.menu-list li a {
    color: #ffcc00;
    text-decoration: none;
    font-size: 18px;
    display: block;
    font-family: 'Arial', sans-serif;
}


.menu-list li a:hover {
    background-color: #333;     
}


.menu-list li.correct {
    background-color: #ffcc00;
   
    font-weight: bold;
    color: #333;
}

.content {
    margin-left: 370px;
   
    padding: 20px;
}

 #question-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}



img {                             
    position: absolute;
    height: 70%;
    width: 27%;
    top: 30%;
    left: 0%;

}

.heding {
    font-size: 290%;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    width: 40%;
    text-align: center;
    color: rgb(64, 3, 64);
    transform: translate(70%, 20%);


}

.main {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


.start_btn,
.about,
.kbc_exit {
    border: 6px double white;
    border-radius: 20%;
    padding: 1% 1%;
    font-size: 140%;
    font-weight: bold;
    color: white;
    cursor: pointer;
    margin: 30px 0px;
    width: 230px;
    background-color: pink;
    color: purple;
    position: absolute;
    border-color: purple;
}

.start_btn {
    top: 64%;
}

.about {
    top: 73%;
}

.kbc_exit {
    top: 82%;
}

.start_btn:hover,
.about:hover,
.kbc_exit:hover {
    background-color: rgb(249, 158, 172);
    color: purple;
    border-color: purple;
    transform: scale(1.1, 1.1);
}

.a_h1 {
    text-align: center;
   
}

.about-r {
    color: white;
    width: 30%;
    height: 40%;
    background-color: purple;
    color: white;
    opacity: 78%;
    padding-bottom: 5%;
    position: absolute;
    top: 30%;
    left: 35%;
    box-shadow: 5px 10px purple;
}

.about-r h1 {
    text-align: center;
}

.about-r h3 {
    margin: 3%;
}

.button-a {
    font-size: 140%;
    text-align: center;
    position: absolute;
    left: 40%;
}

.inactive {
    display: none;
}


.disable {
    pointer-events: none;
}

.btn {
    border: 6px double white;
    border-radius: 20%;
    padding: 2% 4%;
    font-size: 140%;
    width: 240px;
    font-weight: bold;
    color: purple;
    cursor: pointer;
    background-color: pink;
    text-align: center;
    position: absolute;
    top: 69%;
    left: 80%;
}

.btn:hover {
    background-color: white;
    color: purple;
    border-color: purple;
    transform: scale(1.1, 1.1);

}

.quiz-box {
    position: fixed;
    top: 25%;
    left: 21%;
    color: white;
    border: 8px double white;
    padding: 9%;
    background-color: rgb(48, 1, 48);
    width: 55%;
    border-radius: 5%;
    opacity: 90%;
    height: 75%;
    top: 18%;
    padding: 10px;
}

.quiz-box h1 {
    font-size: 35px;
    padding-top: 40px;
    padding-bottom: 40px;
    color: white;
    font-weight: bold;
}

.quiz-box .option {
    display: inline-block;
    border: 6px double white;
    padding: 20px;
    margin: 5px;
    font-size: 130%;
    font-weight: bold;
    cursor: pointer;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    border-radius: 25%;
    width: 40%;
    height: 80%;
    color: white;
    align-items: center;
}

.quiz-box .option.correct {
    background-color: green;
    color: white;
    background: green;
}


.quiz-box .option.incorrect {
    background-color: red;
    color: white;
}

.quiz-box .option:hover {
    background-color: blueviolet;
}

.quiz-footar {

    border-top: 2px dotted white;
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
}

.next_btn {
    border: 2px double white;
    padding: 20px;
    font-size: 19px;
    cursor: pointer;
}

.next_btn:hover {
    background-color: white;
    color: purple;

}

.result-box {
    position: fixed;
    top: 19%;
    left: 36%;
    color: white;
    border: 6px double white;
    border-radius: 15%;
    background-color: rgb(77, 6, 77);
    width: 30%;
    height: 70%;
    opacity: 80%;
}

.on {
    height: 8%;
    width: 5%;
    top: 5%;
    left: 2%;
    cursor: pointer;
}

.off {
    height: 8%;
    width: 5%;
    top: 5%;
    left: 2%;
    cursor: pointer;

}

#r1 {
    display: none;
}

.result-box h2 {

    padding: 1%;
    background-color: white;
    color: rgb(155, 12, 155);
    text-align: center;
    border: 1px double white;
    border-radius: 20%;
    font-size: 210%;

}

.result {
    padding: 20%;
}

.result h3 {
    padding: 0%;
    margin: 4%;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 120%;
}

.footer {
    margin: 0%;
    display: flex;
    justify-content: center;
    align-content: center;
    justify-content: space-around;
    flex-wrap: wrap;
}

#timer {
    font-size: 150%;
    font-weight: bold;
    text-align: center;

}

.again-quiz,
.exit {
    border: 2px solid white;
    padding-left: 4%;
    padding-right: 4%;
    padding-top: 2%;
    padding-bottom: 2%;
    margin: 0%;
    cursor: pointer;
    background-color: blueviolet;
    font-size: 180%;
}

.again-quiz:hover {
    background-color: white;
    color: purple;

}

.exit:hover {
    background-color: white;
    color: purple;
}

/* Define the confetti shape */
.confetti {
    width: 10px;
    height: 10px;
    background-color: #ffeb3b;
    position: absolute;
    border-radius: 50%;
    animation: fall 1s linear infinite;
    top: 2%;
}

/* Keyframes for falling animation */
@keyframes fall {
    0% {
        transform: translateY(0) rotate(0deg);
        opacity: 1;
    }

    100% {
        transform: translateY(600px) rotate(360deg);
        opacity: 0;
    }
}

@media(max-width:1000px) {
    .side-menu {
        width: 85px;
        left: 75%;
        height: 80%;

        padding-bottom: 2px;
        margin-right: 05%;
        margin-top: 6%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;

    }

    .menu-list li {
        padding: 2px;

    }
}

@media (max-width : 800px) {
    .heding {
        font-size: 40px;
    }

    .start_btn,
    .about,
    .kbc_exit {
        font-size: 30px;
    }

    .about-r {
        width: 80%;
        height: 100%;
        font-size: 120%;
        top: 20%;
        left: 10%;
        height: 50%;
    }

    .quiz-box {
        width: 80%;
        height: 100%;
        top: 5%;
        left: 10%;
        bottom: 5%;
        right: 10%;
        height: 90%;
    }

    .timer {
        font-size: 2%;
        padding: 0%;
    }

    .on,
    .off {
        width: 15%;
        top: 2%;
    }

    .quiz-box .question-text {
        font-size: 200%;
        padding: 0%;
        padding-top: 17%;
    }

    .quiz-box .next_btn {
        font-size: 100%;
        height: 30%;
        width: 40%;
        padding: 0%;
    }

    .result-box {
        height: 70%;
        width: 80%;
        top: 25%;
        left: 10%;
        font-size: 120%;
    }

    .side-menu {
        width: 92px;
        left: 85%;
        height: 50%;

        padding-bottom: 2px;
        margin-right: 05%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 15px;


    }

    .menu-list li {
        padding: 2px;
    }


}

@media(max-width:670px) {


    .side-menu {
        width: 85px;
        left: 85%;
        height: 95%;

        padding-bottom: 4px;
        margin-right: 0%;
        margin-top: 0%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;

    }

    .menu-list li {
        padding: 1px;
    }
      .quiz-box .next_btn{
        width:80px;
        margin-right: 3%;
    }
}

@media (max-height : 650px) {
    body {
        font-size: 10px;
    }

    .heding {
        font-size: 20px;
    }

    .start_btn {
        font-size: 30px;
        top: 20%;
    }

    .about {
        font-size: 30px;
        top: 43%;
    }

    .kbc_exit {
        font-size: 30px;
        top: 66%;
    }

    .about-r {
        width: 90%;
        height: 80%;
        font-size: 100%;
        top: 10%;
        left: 5%;
    }

    .quiz-box {
        width: 80%;
        height: 70%;
        top: 5%;
        left: 10%;
    }

    .quiz-box .timer {
        font-size: 1%;
    }

    .on,
    .off {
        height: 5%;
        width: 5%;
        top: 2%;
    }

    .quiz-box .options {
        font-size: 100%;
        padding: 0%;
    }

    .quiz-box .question-text {
        font-size: 150%;
        padding: 0%;
    }


    .result-box {
        height: 90%;
        width: 80%;
        top: 5%;
        left: 10%;
    }

    .result-box .result {
        font-size: 100%;
        padding: 0%;
    }
    



}

@media (max-height:660px) {
    .heding {
        font-size: 2px;
    }

    .start_btn,
    .about,
    .kbc_exit {
        font-size: 20px;
    }

    .quiz-box .question-text {
        font-size: 10px;
        padding: 10px;
    }

    .quiz-box .options {
        font-size: 9px;

    }

    .result-box .result {
        font-size: 12px;
        margin: 10px;


    }

    .result-box.footer {
        font-size: 5px;
        margin: 30px;
    }

    .quiz-box .option {

        border: 3px double white;
        padding-right: 90px;
        margin: 5px;
        border-radius: 20px;
    }

    .on,
    .off {
        height: 15px;
        width: 15px;
        top: 2%;
    }

    .quiz-box {
        padding-top: 0%;
        height: 93%;
        padding-left: 0%;
        left: 0%;
    }
    .side-menu {
        width: 90px;
        left: 75%;
        height: 90%;

        padding-bottom: 2px;
        margin-right: 05%;

    }
    

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;


    }

}
@media(max-height:500px){
    .side-menu {
        width: 90px;
        left: 75%;
        height: 85%;

        padding-bottom: 2px;
        margin-right: 05%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;


    }
}
@media(max-width:500px) {
    .side-menu {
        width: 85px;
        left: 75%;
        height: 40%;

        padding-bottom: 2px;
        margin-right: 05%;
        margin-top: 60%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;

    }

    .menu-list li {
        padding: 2px;

    }

}

@media(max-width:400px) {
    .heding {
        font-size: 20px;
    }

    .start_btn,
    .about,
    .kbc_exit {
        font-size: 15px;
    }

    .about-r {
        width: 80%;
        height: 100%;
        font-size: 120%;
        top: 20%;
        left: 10%;
        height: 50%;
    }

    .quiz-box {
        width: 80%;
        height: 100%;
        top: 5%;
        left: 10%;
        bottom: 5%;
        right: 10%;
        height: 90%;
        padding-left: 0%;
    }

    .question-text {
        font-size: 10px;
    }

    .timer {
        font-size: 2%;
        padding: 0%;
    }

    .on,
    .off {
        width: 15%;
        top: 2%;
    }
   


    .quiz-box .question-text {
        font-size: 100%;
        padding: 0%;
        padding-top: 17%;
    }

    .quiz-box .next_btn {
        font-size: 100%;
        height: 30%;
        width: 40%;
        padding: 0%;
        /* margin-right: 6%; */
    }

    .result-box {
        height: 70%;
        width: 80%;
        top: 25%;
        left: 10%;
        font-size: 120%;
    }

    .quiz-box .options .option {
        font-size: 10px;
    }

    .side-menu {
        width: 90px;
        left: 75%;
        height: 40%;

        padding-bottom: 2px;
        margin-right: 05%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;


    }

    .menu-list li {
        padding: 2px;
    }

}

@media(max-width:300px) {
    .side-menu {
        width: 85px;
        left: 55%;
        height: 40%;

        padding-bottom: 2px;
        margin-right: 05%;
        margin-top: 60%;

    }

    .menu-header {
        font-size: 10px;
    }

    .menu-list {
        font-size: 10px;
        padding: 0px;
    }

    .menu-list li a {
        font-size: 10px;

    }

    .menu-list li {
        padding: 2px;

    }
}
